busvoodoo_uart_generic.h File Reference

BusVoodoo generic UART mode (API) More...

Go to the source code of this file.

## Data Structures

struct | busvoodoo_uart_generic_specific_t
| UART specific methods that will be called by the generic methods. More...

## Macros

#define | busvoodoo_uart_generic_commands_nb 6
| number of commands supported by the generic UART mode More...

## Functions

bool | busvoodoo_uart_generic_configure (const struct busvoodoo_uart_generic_specific_t *conf)
| provide the generic USART with mode specific information More...
bool | busvoodoo_uart_generic_setup (char **prefix, const char *line)
| setup generic UART mode More...
void | busvoodoo_uart_generic_exit (void)
| exit genetic UART mode

## Variables

const struct menu_command_t | busvoodoo_uart_generic_commands [busvoodoo_uart_generic_commands_nb]
| commands supported by the generic UART mode

## Detailed Description

BusVoodoo generic UART mode (API)

Note
  this only contains the common UART methods and should be supplied with mode specific methods and information

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2018

Definition in file busvoodoo_uart_generic.h.

## Macro Definition Documentation

## busvoodoo_uart_generic_commands_nb

#define busvoodoo_uart_generic_commands_nb 6

number of commands supported by the generic UART mode

Warning
  this variable must be constant, thus be adjusted by hand corresponding to the actual content

Definition at line 79 of file busvoodoo_uart_generic.h.

## Function Documentation

## busvoodoo_uart_generic_configure()

bool busvoodoo_uart_generic_configure | ( | const struct busvoodoo_uart_generic_specific_t * | conf | ) |

provide the generic USART with mode specific information

Parameters

  [in] | conf | USART mode specific information

Returns
  if configuration is valid

Definition at line 76 of file busvoodoo_uart_generic.c.

## busvoodoo_uart_generic_setup()

bool busvoodoo_uart_generic_setup | ( | char ** | prefix,
|  | const char * | line
| ) |  |

setup generic UART mode

Parameters

  [out] | prefix | terminal prompt prefix
  [in] | line | terminal prompt line to configure mode

Returns
  if setup is complete

Note
  run busvoodoo_uart_generic_configure before

Definition at line 98 of file busvoodoo_uart_generic.c.